Query Proposed Ids Security Policy Rules
Retrieves a paginated list of rules for a specific proposed IDS security policy. Rules are always returned ordered by sequence number ascending. Filtering and sorting parameters in the request body are not applied.
Unique identifier of the segmentation session.
Unique identifier of the proposed IDS security policy.
Pagination parameters. Only offset and page_size are applied; filtering and sort parameters are accepted but ignored - rules are always returned ordered by sequence number ascending.
{
"offset": 0,
"page_size": 2,
"sort_ascending": true
}
Successfully retrieved rules
{
"offset": 0,
"number_of_results": 2,
"total_result_count": 15,
"total_pages": 8,
"sort_ascending": true,
"sort_by": "sequenceNumber",
"results": [
{
"id": "SSP_Infra_IDPS_DNS_Rule_b3feb714-e6b4-3395-bd70-2d2edd9f058a",
"display_name": "SSP_US_AZ1_DNS",
"description": "IDPS SSP_US_AZ1_DNS",
"action": "DETECT",
"disabled": false,
"proposed_sync_action": "CREATE",
"nsx_rule": {
"resource_type": "IdsRule",
"id": "SSP_Infra_IDPS_DNS_Rule_b3feb714-e6b4-3395-bd70-2d2edd9f058a",
"sequence_number": 1100,
"source_groups": [
"/infra/domains/default/groups/0c2fe03b-5916-3d87-a969-5a6be090e3ab"
],
"destination_groups": [
"/infra/domains/default/groups/b3feb714-e6b4-3395-bd70-2d2edd9f058a"
],
"action": "DETECT",
"ids_profiles": [
"/infra/settings/firewall/security/intrusion-services/profiles/SSP_Infra_IDPS_Profile"
],
"services": [
"/infra/services/DNS"
]
}
},
{
"id": "SSP_Infra_IDPS_DNS_Rule",
"display_name": "SSP_DNS",
"description": "IDPS SSP_DNS",
"action": "DETECT",
"disabled": false,
"proposed_sync_action": "CREATE",
"nsx_rule": {
"resource_type": "IdsRule",
"id": "SSP_Infra_IDPS_DNS_Rule",
"sequence_number": 1200,
"source_groups": [
"ANY"
],
"destination_groups": [
"/infra/domains/default/groups/508a0fae-a70c-3049-a40f-b97113e32b4f"
],
"action": "DETECT",
"ids_profiles": [
"/infra/settings/firewall/security/intrusion-services/profiles/SSP_Infra_IDPS_Profile"
],
"services": [
"/infra/services/DNS"
]
}
}
]
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unexpected error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-ids-security-policies/{policy-id}/rules